<!DOCTYPE html>

<html>

<head>

<meta charset="utf-8" />
<meta name="generator" content="pandoc" />
<meta http-equiv="X-UA-Compatible" content="IE=EDGE" />




<title>CPS Leadership</title>

<script src="site_libs/jquery-1.11.3/jquery.min.js"></script>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link href="site_libs/bootstrap-3.3.5/css/flatly.min.css" rel="stylesheet" />
<script src="site_libs/bootstrap-3.3.5/js/bootstrap.min.js"></script>
<script src="site_libs/bootstrap-3.3.5/shim/html5shiv.min.js"></script>
<script src="site_libs/bootstrap-3.3.5/shim/respond.min.js"></script>
<script src="site_libs/jqueryui-1.11.4/jquery-ui.min.js"></script>
<link href="site_libs/tocify-1.9.1/jquery.tocify.css" rel="stylesheet" />
<script src="site_libs/tocify-1.9.1/jquery.tocify.js"></script>
<script src="site_libs/navigation-1.1/tabsets.js"></script>
<script src="site_libs/navigation-1.1/codefolding.js"></script>
<link href="site_libs/highlightjs-9.12.0/textmate.css" rel="stylesheet" />
<script src="site_libs/highlightjs-9.12.0/highlight.js"></script>
<link href="site_libs/anchor-sections-1.0/anchor-sections.css" rel="stylesheet" />
<script src="site_libs/anchor-sections-1.0/anchor-sections.js"></script>
<link href="site_libs/font-awesome-5.1.0/css/all.css" rel="stylesheet" />
<link href="site_libs/font-awesome-5.1.0/css/v4-shims.css" rel="stylesheet" />

<link rel="icon" href="https://github.com/workflowr/workflowr-assets/raw/master/img/reproducible.png">
<!-- Add a small amount of space between sections. -->
<style type="text/css">
div.section {
  padding-top: 12px;
}
</style>

<style type="text/css">
  code{white-space: pre-wrap;}
  span.smallcaps{font-variant: small-caps;}
  span.underline{text-decoration: underline;}
  div.column{display: inline-block; vertical-align: top; width: 50%;}
  div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
  ul.task-list{list-style: none;}
    </style>

<style type="text/css">code{white-space: pre;}</style>
<style type="text/css">
  pre:not([class]) {
    background-color: white;
  }
</style>
<script type="text/javascript">
if (window.hljs) {
  hljs.configure({languages: []});
  hljs.initHighlightingOnLoad();
  if (document.readyState && document.readyState === "complete") {
    window.setTimeout(function() { hljs.initHighlighting(); }, 0);
  }
}
</script>



<style type="text/css">
h1 {
  font-size: 34px;
}
h1.title {
  font-size: 38px;
}
h2 {
  font-size: 30px;
}
h3 {
  font-size: 24px;
}
h4 {
  font-size: 18px;
}
h5 {
  font-size: 16px;
}
h6 {
  font-size: 12px;
}
.table th:not([align]) {
  text-align: left;
}
</style>




<style type = "text/css">
.main-container {
  max-width: 940px;
  margin-left: auto;
  margin-right: auto;
}
code {
  color: inherit;
  background-color: rgba(0, 0, 0, 0.04);
}
img {
  max-width:100%;
}
.tabbed-pane {
  padding-top: 12px;
}
.html-widget {
  margin-bottom: 20px;
}
button.code-folding-btn:focus {
  outline: none;
}
summary {
  display: list-item;
}
</style>


<style type="text/css">
/* padding for bootstrap navbar */
body {
  padding-top: 51px;
  padding-bottom: 40px;
}
/* offset scroll position for anchor links (for fixed navbar)  */
.section h1 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h2 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h3 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h4 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h5 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h6 {
  padding-top: 56px;
  margin-top: -56px;
}
.dropdown-submenu {
  position: relative;
}
.dropdown-submenu>.dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -6px;
  margin-left: -1px;
  border-radius: 0 6px 6px 6px;
}
.dropdown-submenu:hover>.dropdown-menu {
  display: block;
}
.dropdown-submenu>a:after {
  display: block;
  content: " ";
  float: right;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  border-width: 5px 0 5px 5px;
  border-left-color: #cccccc;
  margin-top: 5px;
  margin-right: -10px;
}
.dropdown-submenu:hover>a:after {
  border-left-color: #ffffff;
}
.dropdown-submenu.pull-left {
  float: none;
}
.dropdown-submenu.pull-left>.dropdown-menu {
  left: -100%;
  margin-left: 10px;
  border-radius: 6px 0 6px 6px;
}
</style>

<script>
// manage active state of menu based on current page
$(document).ready(function () {
  // active menu anchor
  href = window.location.pathname
  href = href.substr(href.lastIndexOf('/') + 1)
  if (href === "")
    href = "index.html";
  var menuAnchor = $('a[href="' + href + '"]');

  // mark it active
  menuAnchor.parent().addClass('active');

  // if it's got a parent navbar menu mark it active as well
  menuAnchor.closest('li.dropdown').addClass('active');
});
</script>

<!-- tabsets -->

<style type="text/css">
.tabset-dropdown > .nav-tabs {
  display: inline-table;
  max-height: 500px;
  min-height: 44px;
  overflow-y: auto;
  background: white;
  border: 1px solid #ddd;
  border-radius: 4px;
}

.tabset-dropdown > .nav-tabs > li.active:before {
  content: "";
  font-family: 'Glyphicons Halflings';
  display: inline-block;
  padding: 10px;
  border-right: 1px solid #ddd;
}

.tabset-dropdown > .nav-tabs.nav-tabs-open > li.active:before {
  content: "&#xe258;";
  border: none;
}

.tabset-dropdown > .nav-tabs.nav-tabs-open:before {
  content: "";
  font-family: 'Glyphicons Halflings';
  display: inline-block;
  padding: 10px;
  border-right: 1px solid #ddd;
}

.tabset-dropdown > .nav-tabs > li.active {
  display: block;
}

.tabset-dropdown > .nav-tabs > li > a,
.tabset-dropdown > .nav-tabs > li > a:focus,
.tabset-dropdown > .nav-tabs > li > a:hover {
  border: none;
  display: inline-block;
  border-radius: 4px;
  background-color: transparent;
}

.tabset-dropdown > .nav-tabs.nav-tabs-open > li {
  display: block;
  float: none;
}

.tabset-dropdown > .nav-tabs > li {
  display: none;
}
</style>

<!-- code folding -->
<style type="text/css">
.code-folding-btn { margin-bottom: 4px; }
</style>



<style type="text/css">

#TOC {
  margin: 25px 0px 20px 0px;
}
@media (max-width: 768px) {
#TOC {
  position: relative;
  width: 100%;
}
}

@media print {
.toc-content {
  /* see https://github.com/w3c/csswg-drafts/issues/4434 */
  float: right;
}
}

.toc-content {
  padding-left: 30px;
  padding-right: 40px;
}

div.main-container {
  max-width: 1200px;
}

div.tocify {
  width: 20%;
  max-width: 260px;
  max-height: 85%;
}

@media (min-width: 768px) and (max-width: 991px) {
  div.tocify {
    width: 25%;
  }
}

@media (max-width: 767px) {
  div.tocify {
    width: 100%;
    max-width: none;
  }
}

.tocify ul, .tocify li {
  line-height: 20px;
}

.tocify-subheader .tocify-item {
  font-size: 0.90em;
}

.tocify .list-group-item {
  border-radius: 0px;
}


</style>



</head>

<body>


<div class="container-fluid main-container">


<!-- setup 3col/9col grid for toc_float and main content  -->
<div class="row-fluid">
<div class="col-xs-12 col-sm-4 col-md-3">
<div id="TOC" class="tocify">
</div>
</div>

<div class="toc-content col-xs-12 col-sm-8 col-md-9">




<div class="navbar navbar-default  navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="index.html">CPS Change Implementation Survey</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="index.html">About</a>
</li>
<li>
  <a href="perceptions-all.html">CPS as a Workplace</a>
</li>
<li>
  <a href="services-all.html">Services and Products</a>
</li>
<li>
  <a href="office-all.html">CPS Office Function</a>
</li>
<li>
  <a href="leadership-all.html">Leadership Philosophy</a>
</li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li>
  <a href="https://gitlab.com/melanie.murphy/CPS21">
    <span class="fa fa-gitlab"></span>
     
    Source code
  </a>
</li>
      </ul>
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

<div class="fluid-row" id="header">

<div class="btn-group pull-right">
<button type="button" class="btn btn-default btn-xs dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span>Code</span> <span class="caret"></span></button>
<ul class="dropdown-menu" style="min-width: 50px;">
<li><a id="rmd-show-all-code" href="#">Show All Code</a></li>
<li><a id="rmd-hide-all-code" href="#">Hide All Code</a></li>
</ul>
</div>



<h1 class="title toc-ignore">CPS Leadership</h1>
<h4 class="date">3/1/2021</h4>

</div>


<p>
<button type="button" class="btn btn-default btn-workflowr btn-workflowr-report" data-toggle="collapse" data-target="#workflowr-report">
<span class="glyphicon glyphicon-list" aria-hidden="true"></span> workflowr <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span>
</button>
</p>
<div id="workflowr-report" class="collapse">
<ul class="nav nav-tabs">
<li class="active">
<a data-toggle="tab" href="#summary">Summary</a>
</li>
<li>
<a data-toggle="tab" href="#checks"> Checks <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> </a>
</li>
<li>
<a data-toggle="tab" href="#versions">Past versions</a>
</li>
</ul>
<div class="tab-content">
<div id="summary" class="tab-pane fade in active">
<p>
<strong>Last updated:</strong> 2021-03-26
</p>
<p>
<strong>Checks:</strong> <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> 7 <span class="glyphicon glyphicon-exclamation-sign text-danger" aria-hidden="true"></span> 0
</p>
<p>
<strong>Knit directory:</strong> <code>CPS21/</code> <span class="glyphicon glyphicon-question-sign" aria-hidden="true" title="This is the local directory in which the code in this file was executed."> </span>
</p>
<p>
This reproducible <a href="http://rmarkdown.rstudio.com">R Markdown</a> analysis was created with <a
  href="https://github.com/jdblischak/workflowr">workflowr</a> (version 1.6.2). The <em>Checks</em> tab describes the reproducibility checks that were applied when the results were created. The <em>Past versions</em> tab lists the development history.
</p>
<hr>
</div>
<div id="checks" class="tab-pane fade">
<div id="workflowr-checks" class="panel-group">
<div class="panel panel-default">
<div class="panel-heading">
<p class="panel-title">
<a data-toggle="collapse" data-parent="#workflowr-checks" href="#strongRMarkdownfilestronguptodate"> <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> <strong>R Markdown file:</strong> up-to-date </a>
</p>
</div>
<div id="strongRMarkdownfilestronguptodate" class="panel-collapse collapse">
<div class="panel-body">
<p>Great! Since the R Markdown file has been committed to the Git repository, you know the exact version of the code that produced these results.</p>
</div>
</div>
</div>
<div class="panel panel-default">
<div class="panel-heading">
<p class="panel-title">
<a data-toggle="collapse" data-parent="#workflowr-checks" href="#strongEnvironmentstrongempty"> <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> <strong>Environment:</strong> empty </a>
</p>
</div>
<div id="strongEnvironmentstrongempty" class="panel-collapse collapse">
<div class="panel-body">
<p>Great job! The global environment was empty. Objects defined in the global environment can affect the analysis in your R Markdown file in unknown ways. For reproduciblity it’s best to always run the code in an empty environment.</p>
</div>
</div>
</div>
<div class="panel panel-default">
<div class="panel-heading">
<p class="panel-title">
<a data-toggle="collapse" data-parent="#workflowr-checks" href="#strongSeedstrongcodesetseed20210227code"> <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> <strong>Seed:</strong> <code>set.seed(20210227)</code> </a>
</p>
</div>
<div id="strongSeedstrongcodesetseed20210227code" class="panel-collapse collapse">
<div class="panel-body">
<p>The command <code>set.seed(20210227)</code> was run prior to running the code in the R Markdown file. Setting a seed ensures that any results that rely on randomness, e.g. subsampling or permutations, are reproducible.</p>
</div>
</div>
</div>
<div class="panel panel-default">
<div class="panel-heading">
<p class="panel-title">
<a data-toggle="collapse" data-parent="#workflowr-checks" href="#strongSessioninformationstrongrecorded"> <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> <strong>Session information:</strong> recorded </a>
</p>
</div>
<div id="strongSessioninformationstrongrecorded" class="panel-collapse collapse">
<div class="panel-body">
<p>Great job! Recording the operating system, R version, and package versions is critical for reproducibility.</p>
</div>
</div>
</div>
<div class="panel panel-default">
<div class="panel-heading">
<p class="panel-title">
<a data-toggle="collapse" data-parent="#workflowr-checks" href="#strongCachestrongnone"> <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> <strong>Cache:</strong> none </a>
</p>
</div>
<div id="strongCachestrongnone" class="panel-collapse collapse">
<div class="panel-body">
<p>Nice! There were no cached chunks for this analysis, so you can be confident that you successfully produced the results during this run.</p>
</div>
</div>
</div>
<div class="panel panel-default">
<div class="panel-heading">
<p class="panel-title">
<a data-toggle="collapse" data-parent="#workflowr-checks" href="#strongFilepathsstrongrelative"> <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> <strong>File paths:</strong> relative </a>
</p>
</div>
<div id="strongFilepathsstrongrelative" class="panel-collapse collapse">
<div class="panel-body">
<p>Great job! Using relative paths to the files within your workflowr project makes it easier to run your code on other machines.</p>
</div>
</div>
</div>
<div class="panel panel-default">
<div class="panel-heading">
<p class="panel-title">
<a data-toggle="collapse" data-parent="#workflowr-checks" href="#strongRepositoryversionstrongahrefhttpsgitlabcommelaniemurphyCPS21tree726feab966f0c236260dfb31ea5594687a589abbtargetblank726feaba"> <span class="glyphicon glyphicon-ok text-success" aria-hidden="true"></span> <strong>Repository version:</strong> <a href="https://gitlab.com/melanie.murphy/CPS21/tree/726feab966f0c236260dfb31ea5594687a589abb" target="_blank">726feab</a> </a>
</p>
</div>
<div id="strongRepositoryversionstrongahrefhttpsgitlabcommelaniemurphyCPS21tree726feab966f0c236260dfb31ea5594687a589abbtargetblank726feaba" class="panel-collapse collapse">
<div class="panel-body">
<p>
Great! You are using Git for version control. Tracking code development and connecting the code version to the results is critical for reproducibility.
</p>
<p>
The results in this page were generated with repository version <a href="https://gitlab.com/melanie.murphy/CPS21/tree/726feab966f0c236260dfb31ea5594687a589abb" target="_blank">726feab</a>. See the <em>Past versions</em> tab to see a history of the changes made to the R Markdown and HTML files.
</p>
<p>
Note that you need to be careful to ensure that all relevant files for the analysis have been committed to Git prior to generating the results (you can use <code>wflow_publish</code> or <code>wflow_git_commit</code>). workflowr only checks the R Markdown file, but you know if there are other scripts or data files that it depends on. Below is the status of the Git repository when the results were generated:
</p>
<pre><code>
Ignored files:
    Ignored:    .Rhistory
    Ignored:    .Rproj.user/
    Ignored:    analysis/leadership-working_cache/
    Ignored:    analysis/leadership_cache/

</code></pre>
<p>
Note that any generated files, e.g. HTML, png, CSS, etc., are not included in this status report because it is ok for generated content to have uncommitted changes.
</p>
</div>
</div>
</div>
</div>
<hr>
</div>
<div id="versions" class="tab-pane fade">

<p>
These are the previous versions of the repository in which changes were made to the R Markdown (<code>analysis/leadership-explore.Rmd</code>) and HTML (<code>public/leadership-explore.html</code>) files. If you’ve configured a remote Git repository (see <code>?wflow_git_remote</code>), click on the hyperlinks in the table below to view the files as they were in that past version.
</p>
<div class="table-responsive">
<table class="table table-condensed table-hover">
<thead>
<tr>
<th>
File
</th>
<th>
Version
</th>
<th>
Author
</th>
<th>
Date
</th>
<th>
Message
</th>
</tr>
</thead>
<tbody>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/726feab966f0c236260dfb31ea5594687a589abb/analysis/leadership-explore.Rmd" target="_blank">726feab</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-26
</td>
<td>
Added a few tables.
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/d4b16287dbde937ad043f9d39c94ddf3a344bf93/analysis/leadership-explore.Rmd" target="_blank">d4b1628</a>
</td>
<td>
melanie.murphy
</td>
<td>
2021-03-26
</td>
<td>
some published stuff
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/3c0e0d7a8bd72da7ae8eae358fd671e894e2ff39/analysis/leadership-explore.Rmd" target="_blank">3c0e0d7</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-25
</td>
<td>
Nearly pivoted code
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/2e1208d57e844bac0812b8e4c89a27bc53515897/analysis/leadership-explore.Rmd" target="_blank">2e1208d</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-25
</td>
<td>
updating updating
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/b6cedb7af5c949bc1e8b44764481b0b9752dbf31/analysis/leadership-explore.Rmd" target="_blank">b6cedb7</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-25
</td>
<td>
A three variable function to handle the demo frequencies
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/0e7f7e0aec01f215596e08922290dffd3892c132/analysis/leadership-explore.Rmd" target="_blank">0e7f7e0</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-25
</td>
<td>
updating leadership stuff
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/bed1b7cbe042a9155bbd6de4458e9f39f07a5eb6/analysis/leadership-explore.Rmd" target="_blank">bed1b7c</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-25
</td>
<td>
Updating stuff
</td>
</tr>
<tr>
<td>
html
</td>
<td>
<a href="https://glcdn.githack.com/melanie.murphy/CPS21/raw/cb8db3020080c7585c147de98c759bbe12741196/public/leadership-explore.html" target="_blank">cb8db30</a>
</td>
<td>
melanie.murphy
</td>
<td>
2021-03-25
</td>
<td>
Build site.
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/cbd5dbca9ba0c08d14e510df62ea88eaceea015a/analysis/leadership-explore.Rmd" target="_blank">cbd5dbc</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-23
</td>
<td>
Testing out ways to iterate the cross tabs
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/7f660acaab96c9b0222d6f30bb5a751c3bb601a7/analysis/leadership-explore.Rmd" target="_blank">7f660ac</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-20
</td>
<td>
I am closing in on a way to map across variables and make a data frame of just the frequencies
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/c694de01728dd646ce1d9a7601df679ac19d96c7/analysis/leadership-explore.Rmd" target="_blank">c694de0</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-19
</td>
<td>
Improved my purrr testing
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/5e449a739b8bd1ad3eb3ca0c5617b842c7d12df7/analysis/leadership-explore.Rmd" target="_blank">5e449a7</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-19
</td>
<td>
Testing purrr
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/c3ebf67c664d2a5c73b300372fbed6d1855fe51b/analysis/leadership-explore.Rmd" target="_blank">c3ebf67</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-16
</td>
<td>
a few minor changes.
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/58225707e32ed87035af968bf04a7220fb7dfdd1/analysis/leadership-explore.Rmd" target="_blank">5822570</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-16
</td>
<td>
Small updates to fix the function.
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/e63d1ebd6c2fe17fcc28d83530dc16d298387c0e/analysis/leadership-explore.Rmd" target="_blank">e63d1eb</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-16
</td>
<td>
Still playing
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/8d265582a902a0f78fc9e8001d5329695433dc85/analysis/leadership-explore.Rmd" target="_blank">8d26558</a>
</td>
<td>
Brian Calhoon
</td>
<td>
2021-03-16
</td>
<td>
Playing around with some purrr functions to do the demographic splits easily
</td>
</tr>
<tr>
<td>
html
</td>
<td>
<a href="https://glcdn.githack.com/melanie.murphy/CPS21/raw/3671ccfa09da2a6403ac8f4b7e3e3fb6a9b57307/public/leadership-explore.html" target="_blank">3671ccf</a>
</td>
<td>
mmurphy17
</td>
<td>
2021-03-01
</td>
<td>
Build site.
</td>
</tr>
<tr>
<td>
Rmd
</td>
<td>
<a href="https://gitlab.com/melanie.murphy/CPS21/blob/08e6dbaff32f6f6680c2fbe7fdfec9bc7f25e7ef/analysis/leadership-explore.Rmd" target="_blank">08e6dba</a>
</td>
<td>
mmurphy17
</td>
<td>
2021-03-01
</td>
<td>
wflow_git_commit(all = TRUE)
</td>
</tr>
<tr>
<td>
html
</td>
<td>
<a href="https://glcdn.githack.com/melanie.murphy/CPS21/raw/08e6dbaff32f6f6680c2fbe7fdfec9bc7f25e7ef/public/leadership-explore.html" target="_blank">08e6dba</a>
</td>
<td>
mmurphy17
</td>
<td>
2021-03-01
</td>
<td>
wflow_git_commit(all = TRUE)
</td>
</tr>
</tbody>
</table>
</div>
<hr>
</div>
</div>
</div>
<div id="introduction" class="section level1">
<h1>Introduction</h1>
<!-- Add in key findings -->
<p><code>{r#names from datL} #datL contains all merged data datL &lt;- read_dta("data/prepared/CPSSurveyResultsmerged-prepared.dta") datLNames &lt;- data.frame(names(datL))</code></p>
<!-- #See if I can generate frequencies of a demographic using a function -->
<!-- #The graph is meaningless at the moment, but it works -->
<!-- #which means that I set up the variables correctly -->
<!-- scatter_fun = function(x, y) { -->
<!--   ggplot(dat, aes(x = .data[[x]], y = .data[[y]]) ) + -->
<!--     geom_point() + -->
<!--     geom_smooth(method = "loess", se = FALSE, color = "grey74") + -->
<!--     theme_bw() -->
<!-- } -->
<!-- scatter_fun(x = "sex", y = "lead_cult_off_en") -->
<!-- #Starting to play around with making this work as a mapable function -->
<!-- plot_year_fun <- function (data, title) { -->
<!--   ggplot(data, aes(year -->
<!--                      , cult_mn)) + -->
<!--   geom_line(size = 1 -->
<!--             , color = "dodgerblue") + -->
<!--   geom_errorbar(aes(ymin=cult_lower -->
<!--                     , ymax=cult_upper) -->
<!--                 , width=0 -->
<!--                 , color = "dodgerblue" -->
<!--                 , size = 1) + -->
<!--   scale_y_continuous(limits = c(0.5, 1),  -->
<!--                      labels = percent_format(accuracy = 1)) + -->
<!--   scale_x_discrete(limits = c(2020, 2021) -->
<!--                    , expand = expansion(mult = c (.3, .3)))+ -->
<!--   geom_point(size = 3, color = "dodgerblue") + -->
<!--   labs(x = "", y = "", title = title, -->
<!--        caption = "test") + -->
<!--   geom_text_repel(min.segment.length = 1,  -->
<!--                   box.padding = .6,  -->
<!--                   size = 6,  -->
<!--                   color = "dodgerblue",  -->
<!--                   nudge_x = -.1, #Moved the labels a little -->
<!--                   nudge_y = .1, -->
<!--                   aes(label = paste(round(cult_mn*100, 1), "%", sep = ""))) -->
<!-- } -->
<!-- #looping through the elev -->
<!-- test_plots <- map(demogs, ~scatter_fun(.x, "lead_cult_off_en")) -->
<!-- test_plots -->
<br>
<p>
<button type="button" class="btn btn-default btn-workflowr btn-workflowr-sessioninfo" data-toggle="collapse" data-target="#workflowr-sessioninfo" style="display: block;">
<span class="glyphicon glyphicon-wrench" aria-hidden="true"></span> Session information
</button>
</p>
<div id="workflowr-sessioninfo" class="collapse">
<pre class="r"><code>sessionInfo()</code></pre>
<pre><code>R version 4.0.3 (2020-10-10)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows 10 x64 (build 18363)

Matrix products: default

locale:
[1] LC_COLLATE=English_United States.1252 
[2] LC_CTYPE=English_United States.1252   
[3] LC_MONETARY=English_United States.1252
[4] LC_NUMERIC=C                          
[5] LC_TIME=English_United States.1252    

attached base packages:
[1] grid      stats     graphics  grDevices utils     datasets  methods  
[8] base     

other attached packages:
 [1] cowplot_1.1.0        cmdstanr_0.3.0.9000  fastDummies_1.6.3   
 [4] svglite_1.2.3.2      sandwich_3.0-0       validate_1.0.1      
 [7] pointblank_0.6.0     assertr_2.8          panelView_1.1.2     
[10] gsynth_1.0.9         stargazer_5.2.2      gtsummary_1.3.7     
[13] gt_0.2.2             tidybayes_2.3.1      rstanarm_2.21.1     
[16] rstan_2.21.2         StanHeaders_2.21.0-7 plm_2.4-1           
[19] gghighlight_0.3.1    stringi_1.5.3        huxtable_5.2.0      
[22] jtools_2.1.2         DT_0.17              ggthemes_4.2.4      
[25] ggridges_0.5.3       here_1.0.1           viridis_0.5.1       
[28] viridisLite_0.3.0    bbplot_0.2           forcats_0.5.0       
[31] stringr_1.4.0        purrr_0.3.4          tibble_3.1.0        
[34] tidyverse_1.3.0      dplyr_1.0.2          psych_2.0.12        
[37] texreg_1.37.5        labelled_2.7.0       skimr_2.1.2         
[40] sjlabelled_1.1.7     sjstats_0.18.1       sjPlot_2.8.7        
[43] sjmisc_2.8.6         readxl_1.3.1         readr_1.4.0         
[46] ggrepel_0.9.1        openxlsx_4.2.3       PowerUpR_1.0.4      
[49] ICC_2.3.0            car_3.0-10           carData_3.0-4       
[52] foreign_0.8-81       sysfonts_0.8.3       srvyr_1.0.0         
[55] survey_4.0           scales_1.1.1         plotrix_3.8-1       
[58] magrittr_2.0.1       margins_0.3.26       knitr_1.31          
[61] lubridate_1.7.9      Hmisc_4.5-0          ggplot2_3.3.3       
[64] Formula_1.2-4        HH_3.1-43            gridExtra_2.3       
[67] multcomp_1.4-16      TH.data_1.0-10       mvtnorm_1.1-1       
[70] latticeExtra_0.6-29  lattice_0.20-41      haven_2.3.1         
[73] broom_0.7.5          tidyr_1.1.2          reshape2_1.4.4      
[76] janitor_2.0.1        extrafontdb_1.0      extrafont_0.17      
[79] estimatr_0.30.2      DescTools_0.99.40    dummies_1.5.6       
[82] corrplot_0.84        brms_2.14.4          Rcpp_1.0.5          
[85] BMA_3.18.14          rrcov_1.5-5          inline_0.3.17       
[88] robustbase_0.93-7    leaps_3.1            survival_3.2-7      
[91] arm_1.11-2           lme4_1.1-26          Matrix_1.2-18       
[94] MASS_7.3-53         

loaded via a namespace (and not attached):
  [1] vcd_1.4-8            class_7.3-17         ps_1.4.0            
  [4] foreach_1.5.1        projpred_2.0.2       lmtest_0.9-38       
  [7] rprojroot_2.0.2      crayon_1.3.4         V8_3.4.0            
 [10] rbibutils_2.0        nlme_3.1-149         backports_1.2.0     
 [13] reprex_0.3.0         colourpicker_1.1.0   rlang_0.4.10        
 [16] performance_0.7.0    nloptr_1.2.2.2       callr_3.5.1         
 [19] glue_1.4.2           loo_2.4.1            parallel_4.0.3      
 [22] processx_3.4.4       tidyselect_1.1.0     usethis_2.0.1       
 [25] rio_0.5.26           zoo_1.8-8            distributional_0.2.2
 [28] xtable_1.8-4         evaluate_0.14        gdtools_0.2.2       
 [31] Rdpack_2.1.1         cli_2.3.1            rstudioapi_0.13     
 [34] miniUI_0.1.1.1       whisker_0.4          rpart_4.1-15        
 [37] svUnit_1.0.3         shinystan_2.5.0      shiny_1.5.0         
 [40] xfun_0.19            parameters_0.12.0    pkgbuild_1.1.0      
 [43] cluster_2.1.0        bridgesampling_1.0-0 expm_0.999-6        
 [46] Brobdingnag_1.2-6    threejs_0.3.3        png_0.1-7           
 [49] reshape_0.8.8        withr_2.3.0          plyr_1.8.6          
 [52] cellranger_1.1.0     pcaPP_1.9-73         e1071_1.7-4         
 [55] coda_0.19-4          pillar_1.5.1         RcppParallel_5.0.3  
 [58] settings_0.2.4       Rmpfr_0.8-2          broom.helpers_1.2.1 
 [61] fs_1.5.0             xts_0.12.1           vctrs_0.3.4         
 [64] ellipsis_0.3.1       generics_0.1.0       dygraphs_1.1.1.6    
 [67] tools_4.0.3          munsell_0.5.0        gamm4_0.2-6         
 [70] emmeans_1.5.4        fastmap_1.0.1        compiler_4.0.3      
 [73] abind_1.4-5          httpuv_1.5.4         workflowr_1.6.2     
 [76] arrayhelpers_1.1-0   utf8_1.1.4           later_1.1.0.1       
 [79] jsonlite_1.7.1       GGally_2.1.0         gld_2.6.2           
 [82] estimability_1.3     promises_1.1.1       doParallel_1.0.16   
 [85] effectsize_0.4.3     checkmate_2.0.0      rmarkdown_2.5       
 [88] statmod_1.4.35       pander_0.6.3         igraph_1.2.6        
 [91] rsconnect_0.8.16     yaml_2.2.1           systemfonts_0.3.2   
 [94] bayesplot_1.8.0      htmltools_0.5.0      rstantools_2.1.1    
 [97] gmp_0.6-2            digest_0.6.27        assertthat_0.2.1    
[100] mime_0.9             repr_1.1.3           Rttf2pt1_1.3.8      
[103] bayestestR_0.8.2     Exact_2.1            data.table_1.13.6   
[106] shinythemes_1.2.0    splines_4.0.3        hms_0.5.3           
[109] modelr_0.1.8         colorspace_2.0-0     base64enc_0.1-3     
[112] mnormt_2.0.2         tmvnsim_1.0-2        maxLik_1.4-6        
[115] nnet_7.3-14          fansi_0.4.1          R6_2.5.0            
[118] lifecycle_0.2.0      rootSolve_1.8.2.1    zip_2.1.1           
[121] miscTools_0.6-26     curl_4.3             minqa_1.2.4         
[124] snakecase_0.11.0     prediction_0.3.14    RColorBrewer_1.1-2  
[127] iterators_1.0.13     htmlwidgets_1.5.3    markdown_1.1        
[130] crosstalk_1.1.0.1    rvest_0.3.6          mgcv_1.8-33         
[133] insight_0.13.1       lmom_2.8             htmlTable_2.1.0     
[136] bdsmatrix_1.3-4      codetools_0.2-16     matrixStats_0.58.0  
[139] gtools_3.8.2         prettyunits_1.1.1    dbplyr_2.0.0        
[142] ggdist_2.4.0         gtable_0.3.0         DBI_1.1.0           
[145] git2r_0.28.0         stats4_4.0.3         httr_1.4.2          
[148] farver_2.0.3         xml2_1.3.2           boot_1.3-25         
[151] shinyjs_2.0.0        ggeffects_1.0.1      DEoptimR_1.0-8      
[154] jpeg_0.1-8.1         pkgconfig_2.0.3      blastula_0.3.2      
[157] mitools_2.4         </code></pre>
</div>
</div>


<!-- Adjust MathJax settings so that all math formulae are shown using
TeX fonts only; see
http://docs.mathjax.org/en/latest/configuration.html.  This will make
the presentation more consistent at the cost of the webpage sometimes
taking slightly longer to load. Note that this only works because the
footer is added to webpages before the MathJax javascript. -->
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    "HTML-CSS": { availableFonts: ["TeX"] }
  });
</script>


</div>
</div>

</div>

<script>

// add bootstrap table styles to pandoc tables
function bootstrapStylePandocTables() {
  $('tr.odd').parent('tbody').parent('table').addClass('table table-condensed');
}
$(document).ready(function () {
  bootstrapStylePandocTables();
});


</script>

<!-- tabsets -->

<script>
$(document).ready(function () {
  window.buildTabsets("TOC");
});

$(document).ready(function () {
  $('.tabset-dropdown > .nav-tabs > li').click(function () {
    $(this).parent().toggleClass('nav-tabs-open')
  });
});
</script>

<!-- code folding -->
<script>
$(document).ready(function () {
  window.initializeCodeFolding("hide" === "show");
});
</script>

<script>
$(document).ready(function ()  {

    // move toc-ignore selectors from section div to header
    $('div.section.toc-ignore')
        .removeClass('toc-ignore')
        .children('h1,h2,h3,h4,h5').addClass('toc-ignore');

    // establish options
    var options = {
      selectors: "h1,h2,h3,h4,h5,h6",
      theme: "bootstrap3",
      context: '.toc-content',
      hashGenerator: function (text) {
        return text.replace(/[.\\/?&!#<>]/g, '').replace(/\s/g, '_');
      },
      ignoreSelector: ".toc-ignore",
      scrollTo: 0
    };
    options.showAndHide = true;
    options.smoothScroll = true;

    // tocify
    var toc = $("#TOC").tocify(options).data("toc-tocify");
});
</script>

<!-- dynamically load mathjax for compatibility with self-contained -->
<script>
  (function () {
    var script = document.createElement("script");
    script.type = "text/javascript";
    script.src  = "https://mathjax.rstudio.com/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML";
    document.getElementsByTagName("head")[0].appendChild(script);
  })();
</script>

</body>
</html>
